#!/bin/csh -f

set dir=`dirname $0`
pushd $dir > /dev/null

# CMT environment from COOL if it exists
if ( -f ../../../../../config/cmt/CMT_env.csh ) then
  pushd ../../../../../config/cmt > /dev/null
  ###setenv CMTCONFIG slc4_amd64_gcc34_dbg
  setenv CMTCONFIG slc4_ia32_gcc34_dbg
  echo "Setup CMT environment using CMT_env.csh"
  source CMT_env.csh
  popd > /dev/null
else
  echo "WARNING! CMT_env.csh not found - assume CMT env is already set"
endif

# CORAL_SERVER environment from CORAL_SERVER/cmt
pushd ../../../../cmt > /dev/null
source setup.csh > /dev/null
set lcgVersion=`cmt show macro_value LCG_config_version`
###set lcgVersion2=`python -c "print '$lcgVersion'[:2]"`
###echo "Two-digit LCG version: $lcgVersion2"
popd > /dev/null

set pid=`ps -C coralServer -o pid=`
gdb coralServer $pid
# info threads
# thread apply all where

popd > /dev/null
