#ifndef SQLITE_CPPMUTEX_H
#define SQLITE_CPPMUTEX_H

namespace coral {

  namespace SQLiteAccess {
  
#ifdef _WIN32

#include <windows.h>

    typedef CRITICAL_SECTION pmutex_t;

#else

#include <pthread.h>

    typedef pthread_mutex_t pmutex_t;

#endif

  } 

}

#endif
