if [ ! -e setupAthenaMT.sh ]; then
  echo "ERROR! Please source setupAthena.sh in its own directory"
  return 1
fi

pushd ../../cmthome > /dev/null
. ATLAS_CMT_env.sh 
popd > /dev/null

if [ "$1" == "local" ]; then
  export CORAL_DBLOOKUP_PATH=`pwd`/dblookup/local
  export CORAL_AUTH_PATH=${HOME}/private/athenaMT
elif [ "$1" == "server" ]; then
  export CORAL_DBLOOKUP_PATH=`pwd`/dblookup/server
  export CORAL_AUTH_PATH=
elif [ "$1" == "proxy" ]; then
  export CORAL_DBLOOKUP_PATH=`pwd`/dblookup/proxy
  export CORAL_AUTH_PATH=
else
  echo "ERROR! Please specify (local|server|proxy)"
  return 1
fi
echo CORAL_DBLOOKUP_PATH=$CORAL_DBLOOKUP_PATH
echo CORAL_AUTH_PATH=$CORAL_AUTH_PATH

###myCMTCONFIG=slc4_ia32_gcc34
myCMTCONFIG=slc4_ia32_gcc34_dbg
if [ ! -d ../../../../../../${myCMTCONFIG}/lib ]; then
  echo "ERROR! Lib directory `cd ../../../../../..; pwd`/${myCMTCONFIG}/lib not found"
  return 1
fi
coralHeadLib=`cd ../../../../../../${myCMTCONFIG}/lib; pwd`
echo "LD_LIBRARY_PATH=$coralHeadLib:\$LD_LIBRARY_PATH"
export LD_LIBRARY_PATH=$coralHeadLib:$LD_LIBRARY_PATH

